Bug 2041838 (CVE-2021-21996) - CVE-2021-21996 salt: user having control of source and source_hash URLs leads to root access
Summary: CVE-2021-21996 salt: user having control of source and source_hash URLs leads...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2021-21996
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 2041844
TreeView+ depends on / blocked
 
Reported: 2022-01-18 11:12 UTC by Dhananjay Arunesh
Modified: 2022-02-09 15:07 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
An Exposure of Resource to Wrong Sphere flaw was found in Salt. This flaw allows a user who has control of the source and source_hash URLs to gain full file system access as root on a Salt minion.
Clone Of:
Environment:
Last Closed: 2022-02-02 18:33:00 UTC


Attachments (Terms of Use)

Description Dhananjay Arunesh 2022-01-18 11:12:10 UTC
An issue was discovered in SaltStack Salt before 3003.3. A user who has control of the source, and source_hash URLs can gain full file system access as root on a salt minion.

Comment 1 Product Security DevOps Team 2022-02-02 18:32:57 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-21996


Note You need to log in before you can comment on or make changes to this bug.